import React from 'react'

import styles from './todoRow.module.css'

export default function TodoRow(props) {
  const { categories, userId } = props
  const { name, description, category, votes, id } = props.rowData
  const voted = votes.includes(userId)

  return (
    <div
      className={`${styles.row} ${voted && styles.voted}`}
      title={description}
    >
      <div className={styles.id}>{`#${id}`}</div>
      <div className={styles.description}>{name}</div>
      <div className={styles.catName}>
        <div
          style={{
            wordBreak: 'break-all',
            fontSize: '10px',
            backgroundColor: categories[category].color,
            color: 'white',
            borderRadius: '2px',
            padding: '0px 2px',
          }}
        >
          {categories[category].name}
        </div>
      </div>
      <div className={styles.votes}>{`Votes: ${votes.length}`}</div>
    </div>
  )
}
